Subject: Re: [mm v2 0/3] Support memory cgroup hotplug

From: Michal Hocko <[email-masked]>
Date: Wed, 23 Nov 2016 08:25:44 +0100

On Wed 23-11-16 15:36:51, Balbir Singh wrote:
> In the absence of hotplug we use extra memory proportional to
> (possible_nodes - online_nodes) * number_of_cgroups. PPC64 has a patch
> to disable large consumption with large number of cgroups. This patch
> adds hotplug support to memory cgroups and reverts the commit that
> limited possible nodes to online nodes.

Balbir,
I have asked this in the previous version but there still seems to be a
lack of information of _why_ do we want this, _how_ much do we save on
the memory overhead on most systems and _why_ the additional complexity
is really worth it. Please make sure to add all this in the cover
letter.

I still didn't get to look into those patches because I am swamped with
other things but to be honest I do not really see a strong justification
to make it high priority for me.

> Cc: Tejun Heo <[email-masked]>
> Cc: Andrew Morton <[email-masked]>
> Cc: Johannes Weiner <[email-masked]>
> Cc: Michal Hocko <[email-masked]> 
> Cc: Vladimir Davydov <[email-masked]>
> 
> I've tested this patches under a VM with two nodes and movable
> nodes enabled. I've offlined nodes and checked that the system
> and cgroups with tasks deep in the hierarchy continue to work
> fine.
> 
> These patches are on top of linux-next (20161117)
> 
> Changelog v2:
> 	Add get/put_online_mems() around node iteration
> 	Use MEM_OFFLINE/MEM_ONLINE instead of MEM_GOING_OFFLINE/ONLINE
> 
> Balbir Singh (3):
>   mm: Add basic infrastructure for memcg hotplug support
>   mm: Move operations to hotplug callbacks
>   powerpc/mm: fix node_possible_map limitations
> 
>  arch/powerpc/mm/numa.c |   7 ----
>  mm/memcontrol.c        | 107 +++++++++++++++++++++++++++++++++++++++++++------
>  2 files changed, 94 insertions(+), 20 deletions(-)
> 
> -- 
> 2.5.5

-- 
Michal Hocko
SUSE Labs